%if %mdkversion == 300
%define build_for_corp3 1
%else
%define build_for_corp3 0
%endif

%if %build_for_corp3
%define distversion C30
%{?!mkrel:%define mkrel(c:) %{-c: 0.%{-c*}.}%{!?_with_unstable:%(perl -e '$_="%{1}";m/(.\*\\D\+)?(\\d+)$/;$rel=${2}-1;re;print "$1$rel";').%{?subrel:%subrel}%{!?subrel:1}.%{?distversion:%distversion}%{?!distversion:%(echo $[%{mdkversion}/10])}}%{?_with_unstable:%{1}}%{?distsuffix:%distsuffix}%{?!distsuffix:mdk}}
%endif

%if %mdkversion < 200700
%define subrel 2
%endif


%define name    mozilla-thunderbird-l10n
%define oname   mozilla-thunderbird
%define version 2.0b2
%define release %mkrel 2
%define thunderbird_version %{version}
%define mozillalibdir %{_libdir}/thunderbird-%{thunderbird_version}
%define xpidir http://ftp.mozilla.org/pub/mozilla.org/thunderbird/releases/%{thunderbird_version}/linux-i686/xpi/

# Supported l10n language lists
%define l10n_langlist	ca cs de el es es_AR eu fi fr gu_IN he hu it ja ko nb nl pa_IN pl pt_BR ru sk sl sv tr zh_CN

# Disabled l10n languages, for any reason
%define disabled_l10n_langlist	%{nil}

# Supported language dicts
%define dict_langlist	ca cs de fr pt_BR nl

%define disabled_dict_langlist	%{nil}

%define dict_src_ca http://releases.mozilla.org/pub/mozilla.org/extensions/diccionari_catal_agrave_/diccionari_catal_agrave_-0.1-fx+zm+tb.xpi
%define dict_src_cs http://releases.mozilla.org/pub/mozilla.org/extensions/czech_spell_checking_dictionary/czech_spell_checking_dictionary-1.0-fx+zm+tb.xpi
%define dict_src_de http://releases.mozilla.org/pub/mozilla.org/extensions/deutsches_w_ouml_rterbuch/deutsches_w_ouml_rterbuch-1.0.1-fx+zm+tb.xpi
%define dict_src_fr http://releases.mozilla.org/pub/mozilla.org/extensions/dictionnaire_myspell_en_fran_ccedil_ais_r_eacute_forme_1990_/dictionnaire_myspell_en_fran_ccedil_ais_r_eacute_forme_1990_-1.0.1-fx+zm+tb.xpi
%define dict_src_pt_BR http://releases.mozilla.org/pub/mozilla.org/extensions/pt-br_spelling_dictionary/pt-br_spelling_dictionary-1.0-fx+tb.xpi
%define dict_src_nl https://www.uitwisselplatform.nl/frs/download.php/278/nl_NL_110307_pack-fx+tb.xpi


# Language descriptions
%define language_ar ar
%define langname_ar Arabic
%define langname_br Breton
%define language_br br-FR
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es es-ES
%define langname_es Spanish
%define langname_eu Basque
%define language_eu eu
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_gu_IN gu-IN
%define langname_gu_IN Gujarati
%define language_he he
%define langname_he Hebrew
%define language_hu hu
%define langname_hu Hungarian
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_ko ko
%define langname_ko Korean
%define language_nb nb-NO
%define langname_nb Norwegian Bokmaal
%define langname_nl Dutch
%define language_nl nl
%define language_pa_IN pa-IN
%define langname_pa_IN Punjabi (gurmukhi)
%define language_pl pl
%define langname_pl Polish
%define langname_pt_BR Brazilian portuguese
%define language_pt_BR pt-BR
%define language_ru ru
%define langname_ru Russian
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_sv sv-SE
%define langname_sv Swedish
%define language_tr tr
%define langname_tr Turkish
%define langname_zh_CN Simplified Chinese
%define language_zh_CN zh-CN

# --- Danger line ---

# All langs
%{expand:%%define langlist %(for lang in %l10n_langlist %dict_langlist; do echo "$lang"; done | sort -u | sed ':a;$!N;s/\n/ /;ta')}

# Defaults (all languages enabled by default)
# l10n
%{expand:%(for lang in %dict_langlist; do echo "%%define l10n_$lang 0"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "%%define l10n_$lang 1"; done)}
%{expand:%(for lang in %disabled_l10n_langlist; do echo "%%define l10n_$lang 0"; done)}
# dicts
%{expand:%(for lang in %l10n_langlist; do echo "%%define dict_$lang 0"; done)}
%{expand:%(for lang in %dict_langlist; do echo "%%define dict_$lang 1"; done)}
%{expand:%(for lang in %disabled_dict_langlist; do echo "%%define dict_$lang 0"; done)}

# Params
%{expand:%(for lang in %langlist; do echo "%%bcond_without $lang"; done)}

# Locales
%{expand:%(for lang in %l10n_langlist; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

# Macro for easy adding i18n sources
# auto-increment as called.
%define src 1

%define l10nsrc() Source%src: %{xpidir}/%{1}.xpi\
%define src2 %(echo $((%src+1)))\
%define src %{src2}

%define dictsrc() Source%src: %{1}\
%define src2 %(echo $((%src+1)))\
%define src %{src2}


Summary:   Localizations for Thunderbird (virtual package)
Name:      %{name}
Version:   %{version}
Release:   %{release}
License:   GPL
Group:     Networking/Mail
Url:       http://www.mozilla.org/
# Language package template
Source0: %{name}-template.spec
# l10n sources
%{expand:%(\
	for lang in %l10n_langlist; do\
		echo "%%{expand:%%l10nsrc %%{language_$lang}}";\
	done\
	)
}
# Dict sources
%{expand:%(\
	for lang in %dict_langlist; do\
		echo "%%{expand:%%dictsrc %%{dict_src_$lang}}";\
	done\
	)
}
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libxml2-utils

%description
Localizations for Thunderbird

# Expand all languages packages.
%{expand:%(\
        for lang in %langlist; do\
                echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.spec 2> /dev/null)}";\
        done\
        )
}

%prep
%setup -q -c -T

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}
%{expand:%(for lang in %dict_langlist; do echo "dict_$lang=%%{dict_$lang}"; done)}
%{expand:%(for lang in %dict_langlist; do echo "dict_src_$lang=%%{dict_src_$lang}"; done)}

# Unpack all languages
for lang in %l10n_langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	l10n="l10n_$lang"
	l10n=${!l10n}
	[ $l10n -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	mkdir ${language}
	cd ${language}
	unzip %{_sourcedir}/${language}.xpi
	cd ..
done

# Unpack all dicts
for lang in %dict_langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	dict="dict_$lang"
	dict=${!dict}
	[ $dict -eq 0 ] && continue

	src="dict_src_$lang"
	src=$(basename ${!src})
	[ $dict -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	mkdir ${language}-dict
	cd ${language}-dict
	unzip %{_sourcedir}/${src}
	cd ..
done

# Disable version check
sed -i -e 's/maxVersion>.*</maxVersion>2.0.*</g' */install.rdf

# Patches
#cd ${language_pt}
#patch4 -p0
#cd ..

%build
# All install.rdf files must validate
xmllint --noout */install.rdf

%install
rm -rf %buildroot

# Convert rpm macros to bash variables
%{expand:%(for lang in %langlist; do echo "language_$lang=%%{language_$lang}"; done)}
%{expand:%(for lang in %langlist; do echo "with_$lang=%%{with $lang}"; done)}
%{expand:%(for lang in %l10n_langlist; do echo "l10n_$lang=%%{l10n_$lang}"; done)}
%{expand:%(for lang in %dict_langlist; do echo "dict_$lang=%%{dict_$lang}"; done)}

# Install all languages
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	l10n="l10n_$lang"
	l10n=${!l10n}
	[ $l10n -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	cd $language
	mkdir -p %buildroot%{mozillalibdir}/extensions/langpack-${language}@thunderbird.mozilla.org/
	cp -f -r * %buildroot%{mozillalibdir}/extensions/langpack-${language}@thunderbird.mozilla.org/
	cd ..
done

# Install all dicts
mkdir -p %buildroot%{mozillalibdir}/dictionaries
for lang in %langlist; do
	with="with_$lang"
	with=${!with}
	[ $with -eq 0 ] && continue

	dict="dict_$lang"
	dict=${!dict}
	[ $dict -eq 0 ] && continue

	language="language_$lang"
	language=${!language}
	cp -vf $language-dict/dictionaries/*.{aff,dic} \
		%buildroot%{mozillalibdir}/dictionaries |\
		sed "s/.* \`\(.*\)'/\1/;s@.*/usr@/usr@" > %{_builddir}/%{name}-%{version}/$lang.dict
done

%clean
rm -rf %buildroot


%changelog
* Tue Mar 20 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0b2-2mdv2007.1
+ Revision: 146986
- Added Dutch spell check dictionary based on Reinout van Schouwen changes. Closes: #29652

* Wed Feb 07 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 2.0b2-1mdv2007.1
+ Revision: 117079
- Support for thunderbird 2.0b2
- Updated all xpi included.
- Removed languages that don't have support yet.
- Added dicitionaries.

* Tue Jan 09 2007 Marcelo Ricardo Leitner <mrl@mandriva.com> 1.5.0.9-1mdv2007.1
+ Revision: 106425
- Synced with new upstream.

* Thu Nov 09 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.8-1mdv2007.1
+ Revision: 79550
-Update langpack to 1.5.0.8
-Remove patch1 (no longer needed)
-Add Gujarati langpack

* Fri Sep 15 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.7-1mdv2007.0
+ Revision: 61637
- Release 1.5.0.7
  Add new langpacks

* Wed Sep 06 2006 Frederic Crozat <fcrozat@mandriva.com> 1.5.0.5-2mdv2007.0
+ Revision: 60328
-Major cleanup
-Check if install.rdf files are valid

  + Nicolas Lécureuil <neoclust@mandriva.org>
    - Add macro for corpo3
    - import mozilla-thunderbird-l10n-1.5.0.5-2mdv2007.0


